Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 656 - vipw doesn't work on shadowed systems
Summary: vipw doesn't work on shadowed systems
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-30 16:06 UTC by Erik Troan
Modified: 2015-10-14 23:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-05-02 13:59:42 UTC


Attachments (Terms of Use)

Description Erik Troan 1998-12-30 16:06:39 UTC
On systems with shadow, vipw should merge /etc/passwd
and /etc/shadow into a single file for editing, them
split the passwords back out again on exit.

At least, this is what OpenBSD does and that seems to make
sense.

Comment 1 seva 1999-01-05 00:52:59 UTC
On solaris, vipw let's you change the password file and if something
changed offers you to edit the shadow file also...

You get a message like this:

You have modified the password file.
Press 'e' to edit the shadow file for consistency,
 'q' to quit:

Comment 2 Preston Brown 1999-03-22 18:59:59 UTC
We have determined that this is a feature request, rather than a bug.
Please report feature requests to the author of the package itself.

Comment 3 Preston Brown 1999-03-22 19:02:59 UTC
We will implement this feature at some point in the future.

Comment 4 Alan Cox 2000-08-05 01:03:56 UTC
When shall we implement it 8)


Comment 5 Aleksey Nogin 2002-05-02 13:59:37 UTC
vipw have been capable of handling the shadow passwords for quite a while now.
Reopening to mark as really closed.

Comment 6 openshift-github-bot 2015-10-14 21:46:49 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/bcf03c4b41e89f80cc8171c4a69f6311ab09c290
Merge pull request #1047 from sdodson/oa-issue656

Add scheduler kind and apiversion to 3.0.2/1.0.5 upgrade

Comment 7 Cristian Gafton 2015-10-14 23:15:24 UTC
(In reply to openshift-github-bot from comment #6)
> Commit pushed to master at https://github.com/openshift/openshift-docs
> 
> https://github.com/openshift/openshift-docs/commit/
> bcf03c4b41e89f80cc8171c4a69f6311ab09c290
> Merge pull request #1047 from sdodson/oa-issue656
> 
> Add scheduler kind and apiversion to 3.0.2/1.0.5 upgrade

OpenShift-BOT is a piece of shit.


Note You need to log in before you can comment on or make changes to this bug.